
# create the installation directory

${INSTALL_DIR}:
	@echo "MKDIR ${INSTALL_DIR}"
	@mkdir -p ${INSTALL_DIR}

deploy: warning ${INSTALL_TARGET} ${INSTALL_DIR}
	@echo "copying from ${STAGING_DIR}${INSTALL_DIR} to ${INSTALL_DIR}"
	@tar -C ${STAGING_DIR}${INSTALL_DIR} -cf - . | \
		tar -C ${INSTALL_DIR} --no-same-owner --no-same-permissions -xvf -
	@touch ${INSTALL_DIR}/.lock
	@echo "created lock ${INSTALL_DIR}/.lock"

# END OF FILE
